.TH Command IMPROVE
.SY "improve <SECTORS> <railroad|highway> <AMT>>"
The \*Qimprove\*U command lets you upgrade your highway and 
railroad networks.  By improving the highways in a 
sector, you can dramatically reduce the mobility costs 
incurred in all aspects of movement through a sector.
By improving a sector's railways, you can make it possible
for trains to freely move through sectors where movement
was previously impossible.
.s3
Highways, bridge heads, and bridge spans -- transportation
sectors by design -- have mobility cost factors (MCST) of 1, 
and cannot be further improved.  All other sectors types have
an MCST of 2 or greater.  As the MCST of a sector increases,
more mobility is expended moving things through that sector.
By using `\*Qimprove\*U', however, you can boost the highway 
and/or railroad "ratings" of any sector to the point where 
Depending on specific game parameters, it's effective MCST
may come close to or equal that of a highway sector.
.s3
.EX improve 5:11,5 r 50
.NF
warehouse @ 5,5: rails improved to 50% (+50%)
mountain @ 7,5: insufficient resources for improvement
mountain @ 9,5: rails improved to 50% (+50%)
wilderness @ 11,5: rails improved to 73% (+40%)
.FI
.s3
Highway and railroad improvements are ranked from 0 to 100%.
Use the `\*Qmobility\*U' command to learn the current levels 
improvement in a particular sector or range of sectors.
Full 100% improvement is required to reduce the sector's 
MCST to its absolute minimum value (typically 1.2).  Railroad
improvements affect the mobility costs involved in the 
movement of trains; highway improvement affect the mobility
costs involved in all other aspects of movement through a
sector, including deliveries, distribution, etc.
Improvements can be done in almost any sector, including 
mountains.
.s3
Improvements require money, materials, and mobility.
Typical improvement costs are:
.NF

                        1% IMPROVEMENT
                     Highway     Railroad
 
     Money               $10           $5    
     Materials         1 lcm      0.1 hcm
     Mobility          2 mob        1 mob

.FI
Material and mobility costs are rounded to the nearest 
whole number, and will always be a minimum of 1.  Sector
efficiency has no effect on degree of improvement.
.s3
NOTE: Improvements remain unaffected by later changes
in sector designation or ownership.  Once improvements have
been made, they can be reduced only by damage to the sector.
Trains can only pass through sectors that have an effective 
MCST of 1.4 or less.  Exact values of minimum achieveable
MCST and MCST necessary for train passage can be found in
the the output of the `\*Qversion\*U' command.
.s3
See also : mobility, bomb, bunkers
